# This file was automatically generated by SWIG (http://www.swig.org).
# Version 3.0.12
#
# Do not make changes to this file unless you know what you are doing--modify
# the SWIG interface file instead.

from sys import version_info as _swig_python_version_info
if _swig_python_version_info >= (2, 7, 0):
    def swig_import_helper():
        import importlib
        pkg = __name__.rpartition('.')[0]
        mname = '.'.join((pkg, '_simple')).lstrip('.')
        try:
            return importlib.import_module(mname)
        except ImportError:
            return importlib.import_module('_simple')
    _simple = swig_import_helper()
    del swig_import_helper
elif _swig_python_version_info >= (2, 6, 0):
    def swig_import_helper():
        from os.path import dirname
        import imp
        fp = None
        try:
            fp, pathname, description = imp.find_module('_simple', [dirname(__file__)])
        except ImportError:
            import _simple
            return _simple
        try:
            _mod = imp.load_module('_simple', fp, pathname, description)
        finally:
            if fp is not None:
                fp.close()
        return _mod
    _simple = swig_import_helper()
    del swig_import_helper
else:
    import _simple
del _swig_python_version_info

try:
    _swig_property = property
except NameError:
    pass  # Python < 2.2 doesn't have 'property'.

try:
    import builtins as __builtin__
except ImportError:
    import __builtin__

def _swig_setattr_nondynamic(self, class_type, name, value, static=1):
    if (name == "thisown"):
        return self.this.own(value)
    if (name == "this"):
        if type(value).__name__ == 'SwigPyObject':
            self.__dict__[name] = value
            return
    method = class_type.__swig_setmethods__.get(name, None)
    if method:
        return method(self, value)
    if (not static):
        if _newclass:
            object.__setattr__(self, name, value)
        else:
            self.__dict__[name] = value
    else:
        raise AttributeError("You cannot add attributes to %s" % self)


def _swig_setattr(self, class_type, name, value):
    return _swig_setattr_nondynamic(self, class_type, name, value, 0)


def _swig_getattr(self, class_type, name):
    if (name == "thisown"):
        return self.this.own()
    method = class_type.__swig_getmethods__.get(name, None)
    if method:
        return method(self)
    raise AttributeError("'%s' object has no attribute '%s'" % (class_type.__name__, name))


def _swig_repr(self):
    try:
        strthis = "proxy of " + self.this.__repr__()
    except __builtin__.Exception:
        strthis = ""
    return "<%s.%s; %s >" % (self.__class__.__module__, self.__class__.__name__, strthis,)

try:
    _object = object
    _newclass = 1
except __builtin__.Exception:
    class _object:
        pass
    _newclass = 0

try:
    import weakref
    weakref_proxy = weakref.proxy
except __builtin__.Exception:
    weakref_proxy = lambda x: x


class SwigPyIterator(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, SwigPyIterator, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, SwigPyIterator, name)

    def __init__(self, *args, **kwargs):
        raise AttributeError("No constructor defined - class is abstract")
    __repr__ = _swig_repr
    __swig_destroy__ = _simple.delete_SwigPyIterator
    __del__ = lambda self: None

    def value(self):
        return _simple.SwigPyIterator_value(self)

    def incr(self, n=1):
        return _simple.SwigPyIterator_incr(self, n)

    def decr(self, n=1):
        return _simple.SwigPyIterator_decr(self, n)

    def distance(self, x):
        return _simple.SwigPyIterator_distance(self, x)

    def equal(self, x):
        return _simple.SwigPyIterator_equal(self, x)

    def copy(self):
        return _simple.SwigPyIterator_copy(self)

    def next(self):
        return _simple.SwigPyIterator_next(self)

    def __next__(self):
        return _simple.SwigPyIterator___next__(self)

    def previous(self):
        return _simple.SwigPyIterator_previous(self)

    def advance(self, n):
        return _simple.SwigPyIterator_advance(self, n)

    def __eq__(self, x):
        return _simple.SwigPyIterator___eq__(self, x)

    def __ne__(self, x):
        return _simple.SwigPyIterator___ne__(self, x)

    def __iadd__(self, n):
        return _simple.SwigPyIterator___iadd__(self, n)

    def __isub__(self, n):
        return _simple.SwigPyIterator___isub__(self, n)

    def __add__(self, n):
        return _simple.SwigPyIterator___add__(self, n)

    def __sub__(self, *args):
        return _simple.SwigPyIterator___sub__(self, *args)
    def __iter__(self):
        return self
SwigPyIterator_swigregister = _simple.SwigPyIterator_swigregister
SwigPyIterator_swigregister(SwigPyIterator)

SIMPLE_MAJOR_VERSION = _simple.SIMPLE_MAJOR_VERSION
SIMPLE_MINOR_VERSION = _simple.SIMPLE_MINOR_VERSION
SIMPLE_RELEASE_NUMBER = _simple.SIMPLE_RELEASE_NUMBER
SIMPLE_VERSION_STRING = _simple.SIMPLE_VERSION_STRING
SIMPLE_VERSION_NUM_DOT_STRING = _simple.SIMPLE_VERSION_NUM_DOT_STRING
SIMPLE_VERSION_NUM_STRING = _simple.SIMPLE_VERSION_NUM_STRING
SIMPLE_VERSION_NUMBER = _simple.SIMPLE_VERSION_NUMBER
SIMPLE_BETA_NUMBER = _simple.SIMPLE_BETA_NUMBER
SIMPLE_VERSION_FLOAT = _simple.SIMPLE_VERSION_FLOAT
class Object(_object):
    __swig_setmethods__ = {}
    __setattr__ = lambda self, name, value: _swig_setattr(self, Object, name, value)
    __swig_getmethods__ = {}
    __getattr__ = lambda self, name: _swig_getattr(self, Object, name)
    __repr__ = _swig_repr

    def __init__(self, *args):
        this = _simple.new_Object(*args)
        try:
            self.this.append(this)
        except __builtin__.Exception:
            self.this = this
    __swig_destroy__ = _simple.delete_Object
    __del__ = lambda self: None

    def set_name(self, name):
        return _simple.Object_set_name(self, name)

    def get_name(self):
        return _simple.Object_get_name(self)

    def set_data(self, data, size):
        return _simple.Object_set_data(self, data, size)

    def get_data(self, *args):
        return _simple.Object_get_data(self, *args)
Object_swigregister = _simple.Object_swigregister
Object_swigregister(Object)

PYSIMPLE_MAJOR_VERSION = _simple.PYSIMPLE_MAJOR_VERSION
PYSIMPLE_MINOR_VERSION = _simple.PYSIMPLE_MINOR_VERSION
PYSIMPLE_RELEASE_NUMBER = _simple.PYSIMPLE_RELEASE_NUMBER
PYSIMPLE_VERSION_STRING = _simple.PYSIMPLE_VERSION_STRING
PYSIMPLE_VERSION_NUM_DOT_STRING = _simple.PYSIMPLE_VERSION_NUM_DOT_STRING
PYSIMPLE_VERSION_NUM_STRING = _simple.PYSIMPLE_VERSION_NUM_STRING
PYSIMPLE_VERSION_NUMBER = _simple.PYSIMPLE_VERSION_NUMBER
PYSIMPLE_BETA_NUMBER = _simple.PYSIMPLE_BETA_NUMBER
PYSIMPLE_VERSION_FLOAT = _simple.PYSIMPLE_VERSION_FLOAT
# This file is compatible with both classic and new-style classes.


